<?
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg();$set['title']='Гаремы';
require_once $corec.'/sys/inc/thead.php';
title();
$act=htmlspecialchars(trim($_GET['act']));
$oke = htmlspecialchars(trim($_GET['oke']));
$ids = intval($_GET['id']);
if($act == "kraz") {
if($ank['pol'] == $user['pol'])
{
msg('Разрешено красть только людей противоположного пола!');
require_once $corec.'/sys/inc/tfoot.php';
exit;
}
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$ids' LIMIT 1"));
if($ank['aa3'] == 0)
{
$cena = 250;
} else if($ank['aa3'] == 1) {
$cena = 350;
} else {
$cena = (($ank['aa3']*100)+250);
}
if($oke == 'ok')
{
if($user['balls'] < $cena)
{
msg('У вас недостаточно баллов!');
require_once $corec.'/sys/inc/tfoot.php';
exit;
}
if ($user['pol']==1)
{
$a = '';
} else {
$a = 'a';
}
if ($ank['pol']==1)
{
$apt = 'его';
} else {
$apt = 'её';
}
$msgno = 'Вас украли в гарем к '.$user['nick'].' весёлого новоселья ;)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$msgno."', '".$time."')");
mysql_query("UPDATE `user` SET `balls` = `balls`-$cena, `aa2` = `aa2`+1 WHERE `id` = '".$user['id']."';");
mysql_query("UPDATE `user` SET `aa3` = `aa3`+1, `aa1` = '".$user['id']."' WHERE `id` = '".$ank['id']."';");
if(intval($ank['aa1']) != 0)
{
mysql_query("UPDATE `user` SET `aa2`=`aa2`-'1' WHERE `id`='$ank[aa1]' LIMIT 1");  // так вроде
$msgn = 'Пользователь '.$user['nick'].' украл'.$a.' у вас из гарема жителя: '.$ank['nick'].', удачи отвоевать '.$apt.' обратно ;)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['aa1']."', '".$msgn."', '".$time."')");
}
?><br/><?
msg('Удачно!) Желаем вам большой гарем)))');
} else {
if($ank['aa1'] != $user['id'] && $ank['pol'] != $user['pol']){
if($ank['zapret_gar']==0){
echo '<div class="ankus">Вы хотите украсть <a href="info.php?id='.$ids.'"><strong>'.$ank['nick'].'</strong></a><br />
Стоимость: <strong>'.$cena.'</strong> баллов.<br />
<a href="garem1.php?act=kraz&oke=ok&id='.$ids.'"><strong>Украсть</strong></a></div>';
}else{
msg('Пользователь запретил воровать его в гарем');
}
}
}
}
require_once $corec.'/sys/inc/tfoot.php';
?>